svn commit: r333602 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Mon May 14 07:20:36 UTC 2018


Author: pho
Date: Mon May 14 07:20:34 2018
New Revision: 333602
URL: https://svnweb.freebsd.org/changeset/base/333602

Log:
  Added cleanup after test. Style fix.
  
  Sponsored by:	Dell EMC Isilon

Modified:
  user/pho/stress2/misc/pmc.sh

Modified: user/pho/stress2/misc/pmc.sh
==============================================================================
--- user/pho/stress2/misc/pmc.sh	Mon May 14 06:11:25 2018	(r333601)
+++ user/pho/stress2/misc/pmc.sh	Mon May 14 07:20:34 2018	(r333602)
@@ -34,15 +34,16 @@
 
 . ../default.cfg
 
-kldstat -v | grep -q hwpmc  || kldload hwpmc
+kldstat -v | grep -q hwpmc  || { kldload hwpmc; loaded=1; }
 
 for i in `jot 2`; do
-	pmcstat -P instructions  -O /tmp/sample.out.$i find /var -name not.there &
+	pmcstat -P instructions  -O /tmp/sample.out.$i find -x /var -name \
+	    not.there &
 done
 
 export runRUNTIME=5m
 (cd ..; ./run.sh vfs.cfg)
-
-for i in `jot 2`; do
-	wait
-done
+wait
+[ $loaded ] && kldunload hwpmc
+rm /tmp/sample.out.*
+exit 0


More information about the svn-src-user mailing list